org.eclipse.graphiti.ui.platform

## Interface ICellEditorProvider

    public interface ICellEditorProvider

The Interface ICellEditorProvider. Clients can use this interface to provide their own cell editors for direct editing. The direct editing feature must simply implement this interface.

Since:
  0.9

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.jface.viewers.CellEditor` `createCellEditor(org.eclipse.swt.widgets.Composite parent)` Creates the cell editor on the given parent composite.
`void` `relocate(org.eclipse.jface.viewers.CellEditor cellEditor, org.eclipse.draw2d.IFigure figure)` Relocates a CellEditor.

### Method Detail

#### createCellEditor

    org.eclipse.jface.viewers.CellEditor createCellEditor(org.eclipse.swt.widgets.Composite parent)

Creates the cell editor on the given parent composite. The methods
`protected abstract Object doGetValue();`
`protected abstract void doSetValue(Object value);`
from the `CellEditor` must handle `String` as value. Otherwise the framework cannot interact with the cell editor. The customer is also responsible to set a correct `ICellEditorValidator` on the `CellEditor` if input validation is needed.

Parameters:
  `parent` - the parent composite to create the cell editor on
Returns:
  the newly created cell editor

#### relocate

    void relocate(org.eclipse.jface.viewers.CellEditor cellEditor,
                  org.eclipse.draw2d.IFigure figure)

Relocates a CellEditor.

Parameters:
  `cellEditor` - the CellEditor
  `figure` - the text figure on which direct editing was initiated